Subject: [regext] Fwd: New Version Notification for draft-belyavskiy-epp-eai-02.txt

From: Dmitry Belyavsky <[email-masked]>
Date: Thu, 19 Nov 2020 19:20:31 +0300

Hello,

I've just published the updated version of the draft.
Many thanks to James Gould who kindly agreed to become a co-author of the
draft!

Main changes are:

1.       Updated the language to apply to any EPP object mapping and to use
the EPP contact mapping as an example.
2.       Updated the structure of document to be consistent with the other
Command-Response Extensions.
3.       Replaced the use of "eppEAI" in the XML namespace and the XML
namespace prefix with "eai".
4.       Changed to use a pointed XML namespace with "0.1" instead of "1.0".

We hope we'll be able to improve the draft according to the discussion on
the mailing list and make it as simple as it is possible.

---------- Forwarded message ---------
From: <[email-masked]>
Date: Thu, Nov 19, 2020 at 7:11 PM
Subject: New Version Notification for draft-belyavskiy-epp-eai-02.txt
To: Dmitry Belyavskiy <[email-masked]>, James Gould <[email-masked]>

A new version of I-D, draft-belyavskiy-epp-eai-02.txt
has been successfully submitted by Dmitry Belyavskiy and posted to the
IETF repository.

Name:           draft-belyavskiy-epp-eai
Revision:       02
Title:          Use of Internationalized Email Addresses in EPP protocol
Document date:  2020-11-18
Group:          Individual Submission
Pages:          14
URL:
https://www.ietf.org/archive/id/draft-belyavskiy-epp-eai-02.txt
Status:         https://datatracker.ietf.org/doc/draft-belyavskiy-epp-eai/
Html:
https://www.ietf.org/archive/id/draft-belyavskiy-epp-eai-02.html
Htmlized:       https://tools.ietf.org/html/draft-belyavskiy-epp-eai-02
Diff:
https://www.ietf.org/rfcdiff?url2=draft-belyavskiy-epp-eai-02

Abstract:
   This document permits usage of Internationalized Email Addresses in
   the EPP protocol.  The Extensible Provisioning Protocol (EPP), being
   developed before appearing the standards for Internationalized Email
   Addresses (EAI), does not support such email addressed.  This
   document describes an EPP extension that allows EAI addresses to be
   used with an EPP object mapping like the EPP contact mapping.

   TO BE REMOVED on turning to RFC: The document is edited in the
   dedicated github repo (https://github.com/beldmit/eppeai).  Please
   send your submissions via GitHub.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

-- 
SY, Dmitry Belyavsky

---

From: Mario Loffredo <[email-masked]>
Date: Thu, 19 Nov 2020 17:36:27 +0100

Hi Dmitry,

should the contact:email element in the <info> response example be set 
to "[EAI-ADDRESS]"?

Best,

Mario

Il 19/11/2020 17:20, Dmitry Belyavsky ha scritto:
> Many thanks to James Gould who kindly agreed to become a co-author of 
> the draft!
>
> Main changes are:
>
> 1.       Updated the language to apply to any EPP object mapping and 
> to use the EPP contact mapping as an example.
> 2.       Updated the structure of document to be consistent with the 
> other Command-Response Extensions.
> We hope we'll be able to improve the draft according to the discussion 
> on the mailing list and make it as simple as it is possible.
>
> From: <[email-masked] <mailto:[email-masked]>>
> To: Dmitry Belyavskiy <[email-masked] <mailto:[email-masked]>>, 
> James Gould <[email-masked] <mailto:[email-masked]>>
>
>
>
> URL: https://www.ietf.org/archive/id/draft-belyavskiy-epp-eai-02.txt 
> <https://www.ietf.org/archive/id/draft-belyavskiy-epp-eai-02.txt>
> <https://datatracker.ietf.org/doc/draft-belyavskiy-epp-eai/>
> Html: https://www.ietf.org/archive/id/draft-belyavskiy-epp-eai-02.html 
> <https://www.ietf.org/archive/id/draft-belyavskiy-epp-eai-02.html>
> <https://tools.ietf.org/html/draft-belyavskiy-epp-eai-02>
> Diff: https://www.ietf.org/rfcdiff?url2=draft-belyavskiy-epp-eai-02 
> <https://www.ietf.org/rfcdiff?url2=draft-belyavskiy-epp-eai-02>
>
> Abstract:
>    dedicated github repo (https://github.com/beldmit/eppeai 
> <https://github.com/beldmit/eppeai>). Please
> until the htmlized version and diff are available at tools.ietf.org 
> <http://tools.ietf.org>.
>
> The IETF Secretariat
>
>
>
>
> -- 
> SY, Dmitry Belyavsky
>
> _______________________________________________
> regext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/regext

-- 
Dr. Mario Loffredo
Systems and Technological Development Unit
Institute of Informatics and Telematics (IIT)
National Research Council (CNR)
via G. Moruzzi 1, I-56124 PISA, Italy
Phone: +39.0503153497
Web: http://www.iit.cnr.it/mario.loffredo

---

From: Dmitry Belyavsky <[email-masked]>
Date: Thu, 19 Nov 2020 19:52:04 +0300

Dear Mario,

According to the current version, yes:

====
If the query was successful, the server replies with the regular EPP
<resData>. If the client includes the "eai-0.1" XML namespace in the login
services, the email address exists, and the email address was set using the
extension in the create command (Section 5.2.1) or update command (Section
5.2.5), then the EPP object mapping email element SHOULD be set with the
value "[EAI-ADDRESS]" value, as described in Section 3.2, and the <eai:eai>
extension element (Section 3.1) is included in the response with the email
address value.
====

On Thu, Nov 19, 2020 at 7:40 PM Mario Loffredo <[email-masked]>
wrote:

> Hi Dmitry,
>
> should the contact:email element in the <info> response example be set to
> "[EAI-ADDRESS]"?
>
> Best,
>
> Mario
> 1.       Updated the language to apply to any EPP object mapping and to
> use the EPP contact mapping as an example.
> regext mailing [email-masked]://www.ietf.org/mailman/listinfo/regext
>
> --
> Dr. Mario Loffredo

-- 
SY, Dmitry Belyavsky